> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grade Items

> Grade the condition of return line items.

### Required API key scope
- Returns




## OpenAPI

````yaml post /dispositioning/grade
openapi: 3.1.0
info:
  title: Dispositioning API
  description: Grade item conditions and assess return line item dispositions
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Grade Items
  - name: Assess Dispositions
paths:
  /dispositioning/grade:
    summary: Conditions
    post:
      tags:
        - Grade Items
      summary: Grade Items
      description: |
        Grade the condition of return line items.

        ### Required API key scope
        - Returns
      operationId: gradeItems
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GradeRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GradeResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '422':
          description: Unprocessable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableResponse'
      security:
        - api_key: []
components:
  schemas:
    GradeRequest:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          maxItems: 30
          description: An array of items to grade.
          items:
            $ref: '#/components/schemas/ItemCondition'
    GradeResponse:
      type: array
      maxItems: 30
      items:
        $ref: '#/components/schemas/ItemCondition'
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: '401'
            http_code:
              type: string
              example: GEN-UNAUTHORIZED
            message:
              type: string
              example: Unauthorized.
    UnprocessableResponse:
      type: object
      properties:
        message:
          type: string
          example: The items.0.images.0 must not be greater than 2048 characters.
        errors:
          type: object
    ItemCondition:
      type: object
      required:
        - line_item_id
        - description
      properties:
        line_item_id:
          type: integer
          example: 1
          description: The unique identifier associated with the line item.
        description:
          type: string
          maxLength: 255
          example: 'Grade A: No refurbishment needed'
          description: The description of the item's condition.
        condition_category:
          type: string
          enum:
            - grade_a
            - grade_b
            - grade_c
            - grade_d
            - incorrect_item
            - missing
            - junk
          description: The condition of the returned item.
        return_processor:
          type: string
          maxLength: 100
          example: warehouse-operator@example.com
          description: The email address of the warehouse partner used to process returns.
        note:
          type: string
          maxLength: 65535
          example: >
            This item is missing the original packaging. Light refurbishment
            required. Scuff marks on the back of the item.
          description: Any additional notes on the item's condition.
        images:
          type: array
          maxItems: 5
          description: An array of links to images of the item.
          items:
            $ref: '#/components/schemas/Image'
        inspected_at:
          type: string
          format: date-time
          example: '2024-03-31 23:59:59'
          description: >-
            The date and time at which the item was inspected, using the ISO
            8601 date format.
    Image:
      type: string
      format: uri
      maxLength: 2048
      example: https://example.com/image.jpg
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````